Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 618887 - SELinux Error Notification Error
SELinux Error Notification Error
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setroubleshoot-plugins (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 20:37 EDT by Michael Convey
Modified: 2013-03-19 10:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 10:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Convey 2010-07-27 20:37:12 EDT
When attempting to use the command "cp -a" to copy files from a DVD to my ext3 formatted hard drive, I get the following error:

"Summary:

SELinux is preventing cp from creating a file with a context of iso9660_t on a
filesystem.

Detailed Description:

SELinux is preventing cp from creating a file with a context of iso9660_t on a
filesystem. Usually this happens when you ask the cp command to maintain the
context of a file when copying between file systems, "cp -a" for example. Not
all file contexts should be maintained between the file systems. For example, a
read-only file type like iso9660_t should not be placed on a r/w system. "cp -P"
might be a better solution, as this will adopt the default file context for the
destination.

Allowing Access:

Use a command like "cp -P" to preserve all permissions except SELinux context..."

However, the following two statements in the error messaged above contain errors:

1) "cp -P" might be a better solution, as this will adopt the default file context for the destination.

2) Use a command like "cp -P" to preserve all permissions except SELinux context.

The error is as follows: According to the cp man page, the "-P" option of the cp command means "--no-dereference". It is the "-p" (lower case p) option that means "same as --preserve=mode,ownership,timestamps".

Please change the SELinux error messages from "-P" to "-p".
Comment 1 Daniel Walsh 2013-03-19 10:14:43 EDT
Fixed in RHEL6.

Note You need to log in before you can comment on or make changes to this bug.